using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFramework;

namespace RFrameGenerate.Model
{
    public partial class T_BAS_FlagshipGroupWithParaLite: EntityBase<T_BAS_FlagshipGroupWithParaLite>, ICloneable
    { 
        public Guid FlagshipGroupGuid{ get;set; }   
        public Guid? AgentsFlagshipGuid{ get;set; }   
        public string GroupName{ get;set; }
        public int? Sort{ get;set; }   
        public string Remark{ get;set; }
        public int? AgentJoinType{ get;set; }   
        public Guid? SMerchantGuid{ get;set; }   
        public int? MerchantNum{ get;set; }   
        public Guid? FlagshipParaGuid{ get;set; }   
        public string FlagshipParaName{ get;set; }
        public int? UserWeChatType{ get;set; }   
        public int? GoodsDeliveryType{ get;set; }   
        public int? PaymentTypeTe{ get;set; }   
        public string TempTe{ get;set; }
      
        public override string ToString()
        {
            StringBuilder sb = this.EntityToGetKeyValue();
            if (sb == null)
                return base.ToString();
            else
            {
                return sb.ToString();
            }
        }
        
        #region 创建副本
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public object Clone()
        {
            return this.MemberwiseClone();
        }
        
        /// <summary>
        /// 创建当前 System.Object 的深表副本
        /// </summary>
        /// <returns>返回当前实例的深表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_BAS_FlagshipGroupWithParaLite DeepClone()
        {
            using (System.IO.Stream objectStream = new System.IO.MemoryStream())
            {
                System.Runtime.Serialization.IFormatter formatter = new System.Runtime.Serialization.Formatters.Binary.BinaryFormatter();
                formatter.Serialize(objectStream, this);
                objectStream.Seek(0, System.IO.SeekOrigin.Begin);
                return formatter.Deserialize(objectStream) as T_BAS_FlagshipGroupWithParaLite;
            }
        }
        /// <summary>
        /// 创建当前 System.Object 的浅表副本
        /// </summary>
        /// <returns>返回当前实例的浅表副本,(如果当前实例中有引用对象,引用对象的地址还是指向原来的地址)</returns>
        public T_BAS_FlagshipGroupWithParaLite ShallowClone()
        {
            return Clone() as T_BAS_FlagshipGroupWithParaLite;
        }

        #endregion
        
        #region 实体相互转换        
        protected override T_BAS_FlagshipGroupWithParaLite CurrentEntity()
        {
            return this;
        }
        #endregion
    }
}

